/*
 * BOS done by Bug Games Team - www.Bug-Games.net - @BugGames - info@bug-games.net
 * BOS game was an entry for Global Game Jam 2015 www.GlobalGameJam.com
 * Programmer: Danar Kayfi - @DanarKayfi
 * Artiest: Mohammad Al-Dmour - @LightOfDarkness
 * Everything (Code+Art) in this game belongs to Bug Games Team.
 * Some SFX are from soundbible.com.
 */
using UnityEngine;
using System.Collections;

public class buttons_script : MonoBehaviour 
{
	public AudioClip buttonSound;
	public AudioClip computerStartUp;

	// Use this for initialization
	void Start () 
	{
	
	}
	
	// Update is called once per frame
	void Update () 
	{
	
	}

	public void mainPower()
	{
		audio.clip = buttonSound;
		audio.Play();
		sharedvalues.mainPower = true;
	}

	public void PowerOn()
	{
		audio.clip = computerStartUp;
		audio.Play();
		sharedvalues.Power = true;
	}

	public void PowerOff()
	{
		audio.clip = buttonSound;
		audio.Play();
		sharedvalues.Power = false;
	}

	public void backEnd()
	{
		Application.LoadLevel ("Scene_BackEnd");
	}

	public void mainScene()
	{
		Application.LoadLevel ("Scene_main");
	}

	public void btnFDL()
	{
		audio.clip = buttonSound;
		audio.Play();
	}

	public void btnFDS()
	{
		audio.clip = buttonSound;
		audio.Play();
	}

	public void inserFDL()
	{
		sharedvalues.FDL = true;
		sharedvalues.FDS = false;
	}
	public void inserFDS()
	{
		sharedvalues.FDL = false;
		sharedvalues.FDS = true;
	}
}
